Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class AnycastFailureMessage

    java.lang.Object
      rice.p2p.scribe.messaging.ScribeMessage
          rice.p2p.scribe.messaging.AnycastFailureMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class AnycastFailureMessage

extends ScribeMessage

Version:
  $Id: AnycastMessage.java,v 1.7 2005/03/11 00:58:02 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`RawScribeContent` | `content`
`static short` | `TYPE`

Fields inherited from class rice.p2p.scribe.messaging.ScribeMessage
`source, topic`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`AnycastFailureMessage(NodeHandle source, Topic topic, RawScribeContent content)`
`AnycastFailureMessage(NodeHandle source, Topic topic, ScribeContent content)`

Method Summary
`static AnycastFailureMessage` | `build(InputBuffer buf, Endpoint endpoint, ScribeContentDeserializer scd)`
`ScribeContent` | `getContent()`
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.scribe.messaging.ScribeMessage
`getPriority, getSource, getTopic, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### content

    public RawScribeContent content

Constructor Detail

### AnycastFailureMessage

    public AnycastFailureMessage(NodeHandle source,
                                 Topic topic,
                                 ScribeContent content)

### AnycastFailureMessage

    public AnycastFailureMessage(NodeHandle source,
                                 Topic topic,
                                 RawScribeContent content)

Method Detail

### getContent

    public ScribeContent getContent()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `ScribeMessage`
  Throws:
    `java.io.IOException`

### build

    public static AnycastFailureMessage build(InputBuffer buf,
                                              Endpoint endpoint,
                                              ScribeContentDeserializer scd)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.